get status list for user and current status

2012-04-11 08:31 - Terence Mill

Status: Closed Start date:  

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category: REST API Estimated time: 0.00 hour

Target version:    

Resolution: Duplicate   

Description

We would like to create customer views (create , edit and follow ) on our issues managed in redmine. The redmine own gui is not

usable in this case, furthermore we wanna embedd this cutsomer views into our portal or company website deeply.

The cutsomer not only can create issues and see current status with restricted filed list, but also shallbe able to control a kind of

requirements process in front of our workflow which is then planning, implementing, testing and delivering at the tail of the chain.

So the users shall be able to change status based on roles in redmine. Our gui (java web gui) there fore needs a rest api in redmine

which it can ask for a user which nex status are allowed based on its current status.

At the moment you only can get a plaibn list of status but with no relation to status transitions based on roles in a project.

Related issues:

Is duplicate of Redmine - Feature #24976: Include new statuses allowed by wor... Closed

History

#1 - 2021-06-06 09:54 - Go MAEDA

- Is duplicate of Feature #24976: Include new statuses allowed by workflow in Issues REST API added

#2 - 2021-06-06 09:55 - Go MAEDA

- Status changed from New to Closed

- Resolution set to Duplicate

Implemented by #24976 for the upcoming Redmine 5.0.0.
